/[gentoo-x86]/profiles/package.mask
Gentoo

Contents of /profiles/package.mask

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.14595 - (show annotations) (download)
Tue Mar 26 15:41:17 2013 UTC (15 months, 4 weeks ago) by bicatali
Branch: MAIN
Changes since 1.14594: +7 -1 lines
Masked sci-visualization/udav for removal

1 ####################################################################
2 # $Header: /var/cvsroot/gentoo-x86/profiles/package.mask,v 1.14594 2013/03/25 13:09:19 jer Exp $
3 #
4 # When you add an entry to the top of this file, add your name, the date, and
5 # an explanation of why something is getting masked. Please be extremely
6 # careful not to commit atoms that are not valid, as it can cause large-scale
7 # breakage, especially if it ends up in the daily snapshot.
8 #
9 ## Example:
10 ##
11 ## # Dev E. Loper <developer@gentoo.org> (28 Jun 2012)
12 ## # Masking these versions until we can get the
13 ## # v4l stuff to work properly again
14 ## =media-video/mplayer-0.90_pre5
15 ## =media-video/mplayer-0.90_pre5-r1
16 #
17 # - Best last rites (removal) practices -
18 # Include the following info:
19 # a) reason for masking
20 # b) bug # for the removal (and yes you should have one)
21 # c) date of removal (either the date or "in x days")
22 # d) the word "removal"
23 #
24 ## Example:
25 ##
26 ## Dev E. Loper <developer@gentoo.org> (25 Jan 2013)
27 ## Masked for removal in 30 days. Doesn't work
28 ## with new libfoo. Upstream dead, gtk-1, smells
29 ## funny. (bug #987654)
30 ## app-misc/some-package
31
32 #--- END OF EXAMPLES ---
33
34 # Sebastien Fabbro <bicatali@gentoo.org> (26 Mar 2013)
35 # Now included in sci-mathematics/mathgl
36 # Removal in 30 days.
37 sci-visualization/udav
38 =sci-libs/mathgl-1*
39
40 # Jeroen Roovers <jer@gentoo.org> (25 Mar 2013)
41 # Unlocking fails (bug #463180)
42 =x11-misc/xlockmore-5.42
43
44 # Markos Chandras <hwoarang@gentoo.org> (23 Mar 2013)
45 # Dead upstream. No maintainer
46 # Does not seem to work anymore
47 # Removal in 30 days. Bug #457254
48 app-text/gonzui
49
50 # Markos Chandras <hwoarang@gentoo.org> (23 Mar 2013)
51 # MSN service terminated.
52 # You can still use your MSN account in net-im/skype
53 # or switch to an open protocol instead
54 # These clients may work until Oct 2013 (or even longer in China)
55 net-im/kmess
56 net-im/amsn
57 x11-themes/amsn-skins
58
59 # Markos Chandras <hwoarang@gentoo.org> (22 Mar 2013)
60 # Fails with automake-1.12 (#424289)
61 # Problems with the alsa patches (#403389)
62 # Herd has not interest in it and needs a maintainer
63 # Removal in a month unless a new maintainer steps up
64 # and fix all the bugs
65 # Alternatives: media-tv/me-tv, media-tv/mythtv
66 media-tv/tvtime
67
68 # Richard Freeman <rich0@gentoo.org> (24 Mar 2013)
69 # Contains known buffer overflows. Package generally works
70 # but should not be fed untrusted input (eg from strangers).
71 # Masked to ensure users are aware before they install.
72 app-text/cuneiform
73
74 # Markos Chandras <hwoarang@gentoo.org> (22 Mar 2013)
75 # Not possible to bump it anymore because it seems to depend
76 # on customized packages which are only available on Ubuntu
77 # Alternatives: net-im/qwit
78 # Removal in 30 days. Bug #388913
79 net-misc/gwibber
80
81 # Tiziano Müller <dev-zero@gentoo.org> (21 Mar 2013)
82 # Masked for removal in 30 days (bug #462590). Open bugs:
83 # #310217, #339477, #343807, #439110
84 # Recent test failures in dvutil show bugs in timezone handling.
85 # No new release since >3 years, upstream is not responding.
86 # Not recommended for new development. Use C++11, boost, poco, etc instead.
87 dev-libs/dvacm4
88 dev-libs/dvnet
89 dev-libs/dvssl
90 dev-libs/dvthread
91 dev-libs/dvutil
92
93 # Bernard Cafarelli <voyageur@gentoo.org> (20 Mar 2013)
94 # Masked for removal in 30 days, bug #462472
95 # Dead upstream (last website activity in 2010),
96 # search for new widgets does not work anymore,
97 # only a few pre-installed gadgets still work correctly,
98 # plasma-workspace does not work with it,
99 # does not work with current webkit-gtk
100 x11-misc/google-gadgets
101
102 # Mike Gilbert <floppym@gentoo.org> (20 Mar 2013)
103 # Arfrever Frehtes Taifersar Arahesis <arfrever.fta@gmail.com> (20 Mar 2013)
104 # Masked until reverse dependencies are updated.
105 >=dev-db/sqlite-3.7.16:3
106
107 # Tim Harder <radhermit@gentoo.org> (18 Mar 2013)
108 # Masked for testing
109 =app-emulation/vagrant-1.1*
110
111 # Markos Chandras <hwoarang@gentoo.org> (17 Mar 2013)
112 # module is included in the mainline kernel.
113 # Enable CONFIG_TABLET_USB_WACOM to get it
114 # Bug #347892. Removal in 30 days
115 sys-kernel/linuxwacom-module
116
117 #
118 # Aaron W. Swenson <titanofold@gentoo.org> (16 Mar 2013)
119 # The PostgreSQL 8.3 series has reached End of Life and is no longer
120 # supported here or upstream. Please migrate to a more recent series
121 # as this series will be removed 2013-05-16.
122 <dev-db/postgresql-docs-8.4.0
123 <dev-db/postgresql-base-8.4.0
124 <dev-db/postgresql-server-8.4.0
125
126 # Samuli Suominen <ssuominen@gentoo.org> (16 Mar 2013)
127 # Waiting for new emul-linux-x86-{media,sound}libs without
128 # the duplicate files.
129 >=media-libs/libmikmod-3.2.0-r1
130 >=media-libs/libv4l-0.8.9-r1
131
132 # Tom Wijsman <TomWij@gentoo.org> (13 Mar 2013)
133 # Masking vulnerable versions of Meteor.
134 <www-servers/meteor-0.5.7.1
135
136 # Markos Chandras <hwoarang@gentoo.org> (13 Mar 2013)
137 # Mask because breaking updates out of the blue is bad
138 # See 461608. Unmask it only if you want abi_x86_32
139 # which means you have ABI_X86=32 set in your make.conf
140 =app-emulation/emul-linux-x86-xlibs-20130224-r1
141
142 # Sergey Popov <pinkbyte@gentoo.org> (13 Mar 2013)
143 # Old kernels, not supported by current sys-fs/udev
144 # Masked by maintainer's request, removal in 30 days
145 =sys-kernel/openvz-sources-2.6.18*
146
147 # Tom Wijsman <TomWij@gentoo.org> (12 Mar 2013)
148 # 2.5.* has known security and other issues due to an affected
149 # bundled ffmpeg, see bugs #446468 and #444262.
150 <media-video/avidemux-2.6.2
151
152 # Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org> (11 Mar 2013)
153 # Does not build against modern xorg-server, dead upstream
154 # Removal in 30 days
155 x11-drivers/xf86-input-citron
156
157 # Samuli Suominen <ssuominen@gentoo.org> (11 Mar 2013)
158 # Too many blockers with current stable, incompatible
159 # with current udev for example.
160 # Should be redudant in favour of the device-mapper
161 # packaged in sys-fs/lvm2.
162 # See, http://bugs.gentoo.org/show_bug.cgi?id=461382
163 # Removal in 30 days
164 sys-fs/device-mapper
165
166 # Julian Ospald <hasufell@gentoo.org> (10 Mar 2013)
167 # Depends on maked dev-lang/python:3.3
168 =media-gfx/blender-2.66
169
170 # Julian Ospald <hasufell@gentoo.org> (10 Mar 2013)
171 # Unsupported and full of bundled libs. Only left
172 # for people who don't have python-3.3 yet.
173 # Will be removed once python-3.3 and >=blender-2.66 enter ~arch.
174 =media-gfx/blender-2.64a
175
176 # Tim Harder <radhermit@gentoo.org> (07 Mar 2013)
177 # Masked for testing
178 =dev-java/jython-2.7*
179
180 # Samuli Suominen <ssuominen@gentoo.org> (07 Mar 2013)
181 # Remove redudant version of udev now that 197-r8 will
182 # work down to Linux 2.6.32.60 on most arches.
183 # Removal in 90 days.
184 ~sys-fs/udev-171
185 ~virtual/udev-171
186 <sys-fs/lvm2-2.02.95
187
188 # Samuli Suominen <ssuominen@gentoo.org> (07 Mar 2013)
189 # Masked in favour of sys-apps/kmod. Now is the time to file
190 # bugs against sys-apps/kmod if you have issues with it you
191 # didn't with module-init-tools.
192 # Later removal at 01-01-2014 by request from eudev maintainers
193 sys-apps/module-init-tools
194
195 # Andreas K. Huettel <dilfridge@gentoo.org> (05 Mar 2013)
196 # Outdated and not needed anymore; does not build.
197 # Masked for removal in 30 days.
198 sys-auth/polkit-kde
199
200 # Samuli Suominen <ssuominen@gentoo.org> (05 Mar 2013)
201 # Fails to compile unless system has previously installed copy
202 # wrt bugs 411443 and 413753
203 # Masked temporarily until fixed
204 =media-libs/libcaca-0.99_beta18
205
206 # Ole Markus With <olemarkus@gentoo.org> (05 Mar 2013)
207 # Conflicts with app-misc/pfm (bug 460222). Upstream gone.
208 # Masked for removal in 30 days.
209 dev-php/PEAR-PEAR_PackageFileManager_Cli
210
211 # Robin H. Johnson <robbat2@gentoo.org> (04 Mar 2013)
212 # MySQL 5.6 is not yet GA.
213 >=dev-db/mariadb-5.6
214 >=dev-db/mysql-5.6
215 >=virtual/mysql-5.6
216
217 # Davide Pesavento <pesa@gentoo.org> (02 Mar 2013)
218 # Depends on blender, which is masked.
219 media-gfx/yafaray
220
221 # Ulrich Müller <ulm@gentoo.org> (26 Feb 2013)
222 # Declared as obsolete by upstream. Use fortune.el with
223 # the zippy file from games-misc/fortune-mod instead.
224 # Masked for removal in 30 days, bug #459358.
225 app-emacs/yow
226
227 # Mike Gilbert <floppym@gentoo.org> (26 Feb 2013)
228 # Dev channel releases are only for people who are developers or want more
229 # experimental features and accept a more unstable release.
230 >=www-client/google-chrome-27
231
232 # Pawel Hajdan jr <phajdan.jr@gentoo.org> (26 Feb 2013)
233 # Dev channel releases are only for people who are developers or want more
234 # experimental features and accept a more unstable release.
235 >=www-client/chromium-27
236
237 # Pawel Hajdan jr <phajdan.jr@gentoo.org> (26 Feb 2013)
238 # Mask v8 versions used for www-client/chromium dev channel releases.
239 >=dev-lang/v8-3.17
240
241 # Eray Aslan <eras@gentoo.org> (26 Feb 2013)
242 # Mask release candidates
243 =net-mail/dovecot-2.2_rc*
244
245 # Doug Goldstein <cardoe@gentoo.org> (24 Feb 2013)
246 # Working on the next stable patchset
247 =app-emulation/qemu-1.2.2-r4
248
249 # Markos Chandras <hwoarang@gentoo.org> (24 Feb 2013)
250 # Not functional as cia.vc is gone
251 # No maintainer, dead upstream, last bump in 2005
252 # See #445644. Removal in 30 days
253 dev-util/ciabot-svn
254
255 # Jeroen Roovers <jer@gentoo.org> (22 Feb 2013)
256 # Masked until bug #456788 is fixed.
257 =net-analyzer/mtr-0.83
258
259 # Jeroen Roovers <jer@gentoo.org> (22 Feb 2013)
260 # Development versions of net-analyzer/wireshark
261 =net-analyzer/wireshark-1.9*
262
263 # Markos Chandras <hwoarang@gentoo.org> (17 Feb 2013)
264 # Does not build with libav-0.8
265 =media-video/qx11grab-0.4.7
266
267 # Alexis Ballier <aballier@gentoo.org> (15 Feb 2013)
268 # Starting from this version, some decoders and encoders (like AAC or APE)
269 # switched to outputing or needing planar audio, this breaks some applications
270 # at runtime and the tree needs to be checked. For instance, <xbmc-12,
271 # <vlc-2.0.6 break.
272 >=media-video/ffmpeg-1.1
273
274 # Michael Sterrett <mr_bones_@gentoo.org> (13 Feb 2013)
275 # No longer licensed for sale upstream.
276 # Masked for removal on 20130315.
277 games-strategy/x2
278 games-strategy/x2-demo
279
280 # Eray Aslan <eras@gentoo.org> (13 Feb 2013)
281 # Mask experimental software
282 =mail-mta/postfix-2.11*
283
284 # Ian Delaney <idella4@gentoo.org> (12 Feb 2013)
285 # This is a work in progress targeting an old bug
286 # but followed by very keen users. It will be either
287 # abandonned or implemented down the track pending further support
288 =app-emulation/xen-tools-4.2.1-r2
289
290 # Hans de Graaff <graaff@gentoo.org> (11 Feb 2013)
291 # No longer supported upstream even for security bugs.
292 # Port your application to another version of Rails.
293 # The Rails 3.0 version in the tree has security issues
294 # and no new 3.0 versions will be released anymore.
295 # Removal in 30 days.
296 dev-ruby/rails:3.0
297 dev-ruby/railties:3.0
298 dev-ruby/activerecord:3.0
299 dev-ruby/actionmailer:3.0
300 dev-ruby/actionpack:3.0
301 dev-ruby/activeresource:3.0
302 dev-ruby/activemodel:3.0
303 dev-ruby/activesupport:3.0
304 dev-ruby/arel:2.0
305 dev-ruby/i18n:0.5
306 dev-ruby/rack-mount:0.6
307 dev-ruby/rack-test:0.5
308 dev-ruby/mysql2:0.2
309
310 # Doug Goldstein <cardoe@gentoo.org> (10 Feb 2013)
311 # For most use cases you can unmask this and use this
312 # as there has been ample interested. This however breaks
313 # a number of features fundamental to me.
314 # * migration from previous versions is broken and migration
315 # to future versions is broken
316 # * snapshoting (blockcommit) is not safe/stable as it will
317 # report success when the write has not completed
318 # Upstream considers this series EOL and recommends 1.4
319 # which at the time of this writing is unreleased. So
320 # this is in the tree for people that want/need it but its masked.
321 =app-emulation/qemu-1.3.1
322
323 # Pacho Ramos <pacho@gentoo.org> (10 Feb 2013)
324 # Upstream dropped support for linux time ago (#434390),
325 # possible security issues (#360539). You can use Windows
326 # version with PlayOnLinux. Removal in a month.
327 media-gfx/picasa
328
329 # Ryan Hill <dirtyepic@gentoo.org> (07 Feb 2013)
330 # Breaks everything (bug #456108)
331 =dev-libs/openssl-1.0.1d
332
333 # Alexandre Rostovtsev <tetromino@gentoo.org> (28 Jan 2013)
334 # Beta versions masked for testing
335 =net-misc/modemmanager-0.7*
336 =net-misc/networkmanager-0.9.7*
337
338 # Diego Elio Pettenò <flameeyes@gentoo.org> (25 Jan 2013)
339 # Masked for testing
340 >=dev-libs/boost-1.53.0_beta1
341 >=dev-util/boost-build-1.53.0_beta1
342
343 # Doug Goldstein <cardoe@gentoo.org> (22 Jan 2013)
344 # Masked for development
345 =sys-block/open-iscsi-2.0.873
346
347 # Marien Zwart <marienz@gentoo.org>
348 # Patch tarball is broken, meaning this builds 1.2.0 (bug #452918)
349 =app-emulation/qemu-1.2.2-r1
350
351 # Mike Gilbert <floppym@gentoo.org (18 Jan 2013)
352 # Release made by unofficial maintainer. Drops support for Python 3 with
353 # very few improvements. Should be replaced by dev-python/charade eventually.
354 =dev-python/chardet-2.1.1
355
356 # Alexis Ballier <aballier@gentoo.org>
357 # Not really compatible with TeX Live 2012, breaks texdoc, produces some non
358 # fatal errors in some documents, mask until fixed or TeX Live 2013 is out.
359 >=dev-tex/luatex-0.74
360
361 # Tim Harder <radhermit@gentoo.org> (13 Jan 2013)
362 # Masked for testing
363 =mail-client/roundcube-0.9*
364
365 # Doug Goldstein <cardoe@gentoo.org> (12 Jan 2013)
366 # Under development
367 =app-emulation/qemu-1.3.0
368
369 # Jeroen Roovers <jer@gentoo.org> (09 Jan 2013)
370 # Testing branch, unstable upstream
371 >net-nntp/tin-2.1
372
373 # Torsten Veller <tove@gentoo.org> (08 Jan 2013)
374 # Mask dev-perl/Class-MOP. It was merge with dev-perl/Moose-2.
375 # Now as the last arch stabilized Moose-2, dev-perl/Class-MOP will be removed.
376 # bug #350612
377 dev-perl/Class-MOP
378
379 # Alexander Vershilov <qnikst@gentoo.org> (06 Jan 2013)
380 # Requires >=net-fs/samba-4 (bug #450226)
381 =sys-auth/sssd-1.9.4
382
383 # Sergei Trofimovich <slyfox@gentoo.org> (05 Jan 2013)
384 # Masked for testing. Is not compatible with cvsps-2 (bug #450424).
385 # But can be used on it's own! Try 'cvsps --fast-export'.
386 >=dev-vcs/cvsps-3
387
388 # Sergei Trofimovich <slyfox@gentoo.org> (28 Dec 2012)
389 # Masked as needs masked version of wxGTK:2.9:
390 dev-haskell/wxc:2.9
391 dev-haskell/wxcore:2.9
392 dev-haskell/wxhaskell:2.9
393
394 # Panagiotis Christopoulos <pchrist@gentoo.org> (25 Dec 2012)
395 # mask again these, temporarily, because more testing must be done.
396 >=dev-lisp/gentoo-init-1.0
397 >=dev-lisp/asdf-2.26
398 >=dev-lisp/sbcl-1.1.2
399
400 # Christian Ruppert <idl0r@gentoo.org> (22 Dec 2012)
401 # Experimental
402 =net-proxy/haproxy-1.5*
403
404 # Sven Wegener <swegener@gentoo.org> (21 Dec 2012)
405 # temporary mask for socket location change
406 =app-misc/screen-4.0.3-r8
407
408 # Rick Farina <zerochaos@gentoo.org> (21 Dec 2012)
409 # madwifi has been replaced by ath5k and ath9k in kernel
410 # drivers and is subject to numerous long standing bugs
411 # stable wpa_supplicant sometimes wants madwifi-ng-tools
412 #net-wireless/madwifi-ng-tools
413 net-wireless/madwifi-ng
414
415 # Michał Górny <mgorny@gentoo.org> (07 Dec 2012)
416 # Experimental version disabling XDM-AUTHENTICATION-1 (in favor
417 # of MIT-MAGIC-COOKIE-1). It should fix bug #306223 but it can also
418 # raise unknown issues. Bug #445662 for more details.
419 =x11-apps/xdm-1.1.11-r2
420
421 # Tim Harder <radhermit@gentoo.org> (27 Nov 2012)
422 # Masked for testing
423 =media-libs/libsfml-2*
424
425 # Pacho Ramos <pacho@gentoo.org> (24 Nov 2012)
426 # Doesn't build with current kernels (#351225), some work is done
427 # by Ubuntu users but a lot of mantainance work is still needed
428 # and nobody will take care of it now (#351225#c7).
429 # Looks like a proxy maintainer is working on this...
430 net-dialup/hsfmodem
431
432 # Richard Freeman <rich0@gentoo.org> (24 Nov 2012)
433 # Live ebuild.
434 =app-misc/sleepyhead-9999
435
436 # Robin H. Johnson <robbat2@gentoo.org> (18 Nov 2012)
437 # Dead upstream, replaced by gitolite
438 dev-vcs/gitosis
439 dev-vcs/gitosis-gentoo
440
441 # Diego Elio Pettenò <flameeyes@gentoo.org> (14 Nov 2012)
442 # Masked for testing as too many packages fail.
443 # See bug #443230 for tracking the progress
444 =media-video/libav-9.2*
445 =media-video/libav-9.3*
446 =media-video/libav-9.4*
447 ~virtual/ffmpeg-9
448
449 # Joerg Bornkessel <hd_brummy@gentoo.org> (04 Nov 2012)
450 # masked for testing, bug #422605
451 =media-plugins/vdr-softdevice-0.5.0.20110417
452
453 # Markos Chandras <hwoarang@gentoo.org> (03 Nov 2012)
454 # Masked for testing
455 app-benchmarks/ltp
456
457 # Ulrich Müller <ulm@gentoo.org> (02 Nov 2012)
458 # Emacs live ebuilds. Use at your own risk.
459 ~app-editors/emacs-vcs-24.3.9999
460
461 # Alexis Ballier <aballier@gentoo.org> (1 Nov 2012)
462 # Still requires ocaml-3, mask it until it is ported. If this does not happen in
463 # the near future, we should consider removing it.
464 dev-ml/ocamlduce
465
466 # Diego Elio Pettenò <flameeyes@gentoo.org> (1 Nov 2012)
467 # See tracker bug #440342. Will probably require GNOME 3.6 to be
468 # unmasked first.
469 =dev-libs/libtasn1-3*
470
471 # Sébastien Fabbro <bicatali@gentoo.org> (31 Oct 2012)
472 # live ebuild
473 =sys-fs/redirfs-9999
474
475 # Gilles Dartiguelongue <eva@gentoo.org> (25 Oct 2012)
476 # Too broken to be used but adding for testing purpose (bug #438560)
477 =media-sound/rhythmbox-2.98
478
479 # Pacho Ramos <pacho@gentoo.org> (25 Oct 2012)
480 # obexd changed its API without any warning, it's recommended to ship
481 # 0.46 until https://bugzilla.gnome.org/682106 is fixed to prevent
482 # bluetooth-sendto breakage.
483 >=app-mobilephone/obexd-0.47
484
485 # Eray Aslan <eras@gentoo.org> (24 Oct 2012)
486 # Mask experimental software
487 =mail-client/squirrelmail-1.4.23*
488
489 # Michael Palimaka <kensington@gentoo.org> (19 Oct 2012)
490 # New major release breaks almost all existing consumers.
491 # Masked until each package can update its dependencies.
492 >=net-libs/libotr-4.0.0
493 >=x11-plugins/pidgin-otr-4.0.0
494
495 # Tim Harder <radhermit@gentoo.org> (15 Oct 2012)
496 # Mask development releases
497 =media-libs/libraw-0.15*
498
499 # Robin H. Johnson <robbat2@gentoo.org> (08 Oct 2012)
500 # Masked for testing
501 =sys-libs/db-5.3*
502 =sys-libs/db-5.2*
503 =sys-libs/db-5.1*
504 =sys-libs/db-5.0*
505
506 # Richard Yao <ryao@gentoo.org> (06 Oct 2012)
507 # sys-apps/grep-2.13 falsely reports some files as binary, causing build
508 # failures. Bug #425668
509 =sys-apps/grep-2.13
510
511 # Tim Harder <radhermit@gentoo.org> (01 Sep 2012)
512 # Mask development releases
513 =media-sound/lilypond-2.17*
514
515 # Markos Chandras <hwoarang@gentoo.org> (17 August 2012)
516 # Masked for testing. Required by dev-lang/jimctl-0.73
517 =dev-embedded/openocd-0.6.1
518
519 # Benedikt Böhm <hollow@gentoo.org> (11 Aug 2012)
520 # Regression in iproute code, does not detect IP addresses correctly anymore.
521 ~dev-ruby/ohai-6.14.0
522
523 # Jeroen Roovers <jer@gentoo.org> (2 Aug 2012)
524 # Development version
525 >app-admin/sysstat-10.1
526
527 # Ralph Sennhauser <sera@gentoo.org> (18 Jul 2012)
528 # Unmaintained, multiple vulnarabilities. #351626
529 # A more recent source build maintained by the community is available in the
530 # seden overlay. A more recent binary is available in the java-overlay.
531 <=dev-util/eclipse-sdk-3.5.1-r1
532
533 # Michael Weber <xmw@gentoo.org> (07 Jul 2012)
534 # Masked for testing only beta (bug 424866)
535 =sci-electronics/eagle-6.2.1_beta
536
537 # Michael Weber <xmw@gentoo.org> (29 Jun 2012)
538 # Masking for security reasons (bug 424025, CVE-2012-3366)
539 # Users of trigger plugin, update asap.
540 <app-admin/bcfg2-1.2.2-r1
541
542 # Andreas K. Huettel <dilfridge@gentoo.org> (25 Jun 2012)
543 # Mask live ebuild
544 =net-print/cups-9999
545
546 # Maxim Koltsov <maksbotan@gentoo.org> (21 Jun 2012)
547 # It's not what it's called now, mask it not protect people
548 =dev-util/febootstrap-3*
549
550 # Ian Stakenvicius <axs@gentoo.org> (19 Jun 2012)
551 # Mask new spidermonkey until rdeps can accept it
552 ~dev-lang/spidermonkey-1.8.7
553
554 # Michael Weber <xmw@gentoo.org> (13 Jun 2012)
555 # Mask beta versions for testing
556 >sci-electronics/magic-8
557 >sci-electronics/xcircuit-3.8
558
559 # Patrick Lauer <patrick@gentoo.org> (06 Jun 2012)
560 # Temporarily mask nginx >=1.3 see #411937
561 >=www-servers/nginx-1.3
562
563 # Markos Chandras <hwoarang@gentoo.org> (27 May 2012)
564 # Mask alpha release
565 =sci-electronics/qelectrotech-0.30_alpha*
566
567 # Benda Xu <heroxbd@gentoo.org> (20 May 2012)
568 # geant-4.9.5_p01 has a major class declaration change that renders
569 # geant-python (g4py upstream) unable to compile
570 # upstream bug http://bugzilla-geant4.kek.jp/show_bug.cgi?id=1317
571 =sci-physics/geant-python-4.9.5_p01
572
573 # Alexandre Rostovtsev <tetromino@gentoo.org> (20 May 2012)
574 # Requires dev-scheme/guile-2.0.5 which is in lisp overlay and masked;
575 # bug #416683
576 >=games-board/aisleriot-3.3.1
577
578 # Ultrabug <ultrabug@gentoo.org> (16 May 2012)
579 # Masked for testing
580 >=sys-cluster/corosync-2.0.0
581
582 # Alistair Bush <ali_bush@gentoo.org> (10 May 2012)
583 # Mask alpha version of mono for testing
584 >=dev-lang/mono-2.11.1
585 >=dev-util/mono-tools-2.11
586 >=virtual/monodoc-2.11
587
588 # Johannes Huber <johu@gentoo.org> (03 May 2012)
589 # Unstable dev channel release. Fixes build with gcc47
590 # (bug #413941).
591 >=media-sound/mp3diags-1.1
592
593 # Robin H. Johnson <robbat2@gentoo.org> (09 Feb 2012)
594 # Needs to be slotted better
595 =dev-libs/yaz-4*
596
597 # Maxim Koltsov <maksbotan@gentoo.org> (19 Apr 2012)
598 # Broken, masking by maintainer's request
599 net-ftp/leechcraft-lcftp
600 net-p2p/leechcraft-eiskaltdcpp
601
602 # Jeroen Roovers <jer@gentoo.org> (04 Apr 2012)
603 # Alpha versions of dev-libs/libevent are considered unstable
604 >dev-libs/libevent-2.1
605
606 # Andreas K. Huettel <dilfridge@gentoo.org> (22 Mar 2012)
607 # Even its author admits that it's an ugly hack. Crashes e.g.
608 # firefox with kde-4.8. Unmask at your own risk.
609 kde-misc/kgtk
610
611 # Samuli Suominen <ssuominen@gentoo.org> (06 Mar 2012)
612 # Masked for testing since this is known to break nearly
613 # every reverse dependency wrt bug 407091
614 >=dev-lang/lua-5.2.0
615
616 # Sébastien Fabbro <bicatali@gentoo.org> (26 Feb 2012)
617 # Needs development version x11-libs/wxGTK
618 >=sci-visualization/fityk-1.1
619
620 # Michał Górny <mgorny@gentoo.org> (21 Jan 2012)
621 # Blocks sysvinit yet doesn't provide all tools provided by it.
622 # Masking until we get the necessary tools out of sysvinit.
623 sys-apps/systemd-sysv-utils
624
625 # Jeroen Roovers <jer@gentoo.org> (27 Mar 2012)
626 # Opera Next and Opera snapshots are unsupported and eternally unstable.
627 # <http://my.opera.com/desktopteam/blog>
628 www-client/opera-next
629 =www-client/opera-12.15*
630
631 # Ulrich Mueller <ulm@gentoo.org> (13 Dec 2011)
632 # SLOTs 21 and 22 of app-editors/emacs, corresponding to
633 # GNU Emacs versions 21.4 and 22.3. These versions were
634 # released in February 2005 and September 2008, respectively.
635 # Please upgrade to >=app-editors/emacs-23 and update your
636 # Emacs Lisp packages with emacs-updater.
637 # Keeping these versions in the tree masked indefinitely,
638 # by popular request. Bug 394589.
639 =app-editors/emacs-21*
640 =app-editors/emacs-22*
641 <virtual/emacs-23
642
643 # Christoph Junghans <ottxor@gentoo.org> (15 Nov 2011)
644 # current version of google-talkplugin never clear what you get
645 =www-plugins/google-talkplugin-9999
646
647 # Diego E. Pettenò <flameeyes@gentoo.org> (30 Oct 2011)
648 # Working on more reliable versioning, consider experimental for now.
649 >=dev-lang/luajit-2.0.0_beta8
650
651 # Samuli Suominen <ssuominen@gentoo.org> (30 Oct 2011)
652 # Masked for security bug #294253, use only at your own risk!
653 =media-libs/fmod-3*
654 games-puzzle/candycrisis
655 games-simulation/stoned-bin
656 games-sports/racer-bin
657 games-strategy/dark-oberon
658 games-strategy/savage-bin
659
660 # MATSUU Takuto <matsuu@gentoo.org> (27 Oct 2011)
661 # Mask for testing
662 >=sys-devel/distcc-3.2_rc1
663
664 # Justin Bronder <jsbronder@gentoo.org> (27 Sep 2011)
665 # Masking the torque 2.3 series due to bug #372959. This allows
666 # sites that are ok with the vulnerability but prefer the stability
667 # of 2.3.x to continue to get updates (if any).
668 <sys-cluster/torque-2.4
669 dev-perl/perl-PBS
670
671 # Joerg Bornkessel <hd_brummy@gentoo.org> (17 Sep 2011)
672 # media-video/vdr-xvdr-9999, masked git live ebuild
673 =media-plugins/vdr-xvdr-9999
674
675 # Alexis Ballier <aballier@gentoo.org> (20 Aug 2011)
676 # dev-tex/pdftex-1.40.11 is 100% identical to the one in TeX Live 2010;
677 # TeX Live 2011 has a newer version, which makes the standalone package useless;
678 # mask it for now, we'll see about removing it later.
679 dev-tex/pdftex
680
681 # Peter Volkov <pva@gentoo.org> (23 Jul 2011)
682 # Mask release candidates
683 =dev-libs/guiloader-2.99.0
684 =dev-libs/guiloader-c++-2.99.0
685 =dev-util/crow-designer-2.99.0
686
687 # Jorge Manuel B. S. Vicetto <jmbsvicetto@gentoo.org> (15 July 2011)
688 # Masking mariadb-5.1.55 until we have feedback about the unit tests
689 # as they build for me but fail for Robin
690 ~dev-db/mariadb-5.1.55
691
692 # Justin Lecher <jlec@gentoo.org> (27 Jun 2011)
693 # Only avalable version isn't in the tree.
694 # Mask until it is bumped
695 sci-chemistry/webmo
696
697 # Torsten Veller <tove@gentoo.org> (18 Jun 2011)
698 # Mask perl-5.14. See tracker bug #356171
699 =dev-lang/perl-5.14*
700
701 # Alexis Ballier <aballier@gentoo.org> (20 Apr 2011)
702 # Tiziano Müller <dev-zero@gentoo.org> (11 Aug 2010)
703 # Breaks net-voip/sflphone, non maintainer update, but is needed by
704 # media-video/ffmpeg
705 >=media-libs/celt-0.8.1
706
707 # Marijn Schouten <hkBst@gentoo.org> (07 April 2011)
708 # Masked for number of issues, but can be used to
709 # test against if people are impatient ;P
710 # Known issues:
711 # - Broken emacs support (ulm has promised to look)
712 # - doesn't build when boehm-gc is built without threads
713 # - no SLOTting yet!
714 =dev-scheme/guile-2.0.0
715
716 # Christian Faulhammer <fauli@gentoo.org> (12 Mar 2011)
717 # Mask for testing
718 >=www-apps/joomla-1.6.0
719
720 # Ryan Hill <dirtyepic@gentoo.org> (30 Mar 2011)
721 # Masked indefinitely (until 0.40 is released).
722 # http://bugs.gentoo.org/354423
723 >=app-pda/libopensync-0.30
724 >=app-pda/libopensync-plugin-file-0.30
725 >=app-pda/libopensync-plugin-irmc-0.30
726 >=app-pda/libopensync-plugin-palm-0.30
727 >=app-pda/libopensync-plugin-python-0.30
728 app-pda/libopensync-plugin-syncml
729 app-pda/libopensync-plugin-vformat
730 app-pda/osynctool
731
732 # Ryan Hill <dirtyepic@gentoo.org> (30 Mar 2011)
733 # Work in progress
734 # http://bugs.gentoo.org/show_bug.cgi?id=354423
735 app-pda/libopensync-plugin-evolution2
736 app-pda/libopensync-plugin-gnokii
737 app-pda/libopensync-plugin-gpe
738 app-pda/multisync-gui
739
740 # Michael Sterrett <mr_bones_@gentoo.org> (20 Jan 2010)
741 # testing mask for upcoming exult release
742 >=games-engines/exult-1.3
743
744 # Torsten Veller <tove@gentoo.org> (06 Jan 2011)
745 # Next step to remove old perl and libperl versions.
746 # Versions prior 5.12 are masked and will be removed when 5.14 is available.
747 # If you are a sparc-fbsd user and your only keyworded perl version was masked,
748 # test perl-5.12.2 and reply to bug 288028
749 # For other complaints go to bug 350785
750 <dev-lang/perl-5.12.2
751 <sys-devel/libperl-5.10.1
752
753 # Gilles Dartiguelongue <eva@gentoo.org> (07 Dec 2010)
754 # Part of GNOME 2.32 release set by breaks my machine as hell
755 # Needs more testing before unleashing
756 >=gnome-base/libbonobo-2.32
757
758 # Markos Chandras <hwoarang@gentoo.org> (01 Nov 2010)
759 # Masking alpha releases
760 net-analyzer/ncrack
761
762 # Peter Volkov <pva@gentoo.org> (29 Oct 2010)
763 # mask beta release
764 =net-analyzer/tcpreplay-3.4.5*
765
766 # Markos Chandras <hwoarang@gentoo.org> (26 Oct 2010)
767 # master branch is heavily broken at the moment. Use
768 # 2.0.9999 instead if you want a kmess
769 # that actually builds
770 =net-im/kmess-9999
771
772 # Luca Barbato <lu_zero@gentoo.org> (21 Jul 2010)
773 # Not ready for public consumption, clashes with current mesa-git
774 media-libs/shivavg
775
776 # Stefan Briesenick <sbriesen@gentoo.org> (21 Jul 2010)
777 # doesn't compile against latest media-libs/spandsp.
778 # not needed anymore for Asterisk 1.6.
779 net-misc/asterisk-spandsp_codec_g726
780
781 # Doug Goldstein <cardoe@gentoo.org> (07 Jul 2010)
782 # No actual Gentoo support yet. If you're interested, please see bug #295993
783 net-misc/netcf
784
785 # Justin Lecher <jlec@gentoo.org> (16 Jun 10)
786 # Just working with the masked experimental version of refmac
787 >=sci-libs/monomer-db-5.16
788
789 # Robin H. Johnson <robbat2@gentoo.org> (09 Jun 2010)
790 # Fails to self-verify/sign in FIPS mode, pending upstream response before
791 # usage for GSoC project.
792 app-crypt/hmaccalc
793
794 # Luca Barbato <lu_zero@gentoo.org> (21 May 2010)
795 # development release
796 =dev-db/mongodb-1.5*
797
798 # Justin Lecher <jlec@gentoo.org> (16 May 2010)
799 # Upstreams testing version
800 # Added on request
801 >=sci-chemistry/refmac-5.6
802
803 # Patrick Lauer <patrick@gentoo.org> (07 Apr 2010)
804 # Keeping samba-4 masked until release.
805 >net-fs/samba-4
806
807 # Mike Frysinger <vapier@gentoo.org> (07 Mar 2010)
808 # Very old packages that people should have upgraded away from
809 # long ago. Courtesy mask ... time to upgrade.
810 # Added <sys-fs/e2fsprogs as well (halcy0n)
811 <sys-libs/e2fsprogs-libs-1.41.8
812 <sys-fs/e2fsprogs-1.41.9
813
814 # Robert Piasek <dagger@gentoo.org> (23 Feb 2010)
815 # Masking libmapi as it depends on masked samba4
816 >=net-libs/libmapi-0.9
817
818 # Christian Parpart <trapni@gentoo.org> (23 Dec 2009)
819 # Masked for testing/feedback.
820 media-sound/teamspeak-server-bin
821
822 # Joerg Bornkessel <hd_brummy@gentoo.org> (02 Dec 2009)
823 # cvs ebuild vdr-xineliboutput-9999 masked for lifetime
824 =media-plugins/vdr-xineliboutput-9999
825
826 # Peter Alfredsen <loki_val@gentoo.org> (21 Oct 2009)
827 # Masked because this needs a patch to be applied to portage
828 # to not install the kitchensink and everything else
829 # into /usr/src/debug with FEATURES=installsources
830 =dev-util/debugedit-4.4.6-r2
831
832 # Diego E. Pettenò <flameeyes@gmail.com> (09 Oct 2009)
833 # Untested yet; documented only in Russian, help is appreciated.
834 sys-auth/pam_keystore
835
836 # Diego E. Pettenò <flameeyes@gentoo.org> (08 Aug 2009)
837 # on behalf of QA Team
838 #
839 # Mass-masking of live ebuilds; we cannot guarantee working state of
840 # live ebuilds, nor the availability of the server hosting them. As
841 # per QA team policy, all these need to be kept masked by default, if
842 # available in the tree.
843 ~app-i18n/skk-jisyo-9999
844 net-misc/netcomics-cvs
845 app-portage/layman-dbtools
846 sci-astronomy/casa-data
847 # rdep on the one above
848 sci-astronomy/casacore
849 sci-electronics/kicad
850 dev-ruby/rcsparse
851 # rdep on the one above
852 dev-vcs/fromcvs
853 sci-biology/picard
854 ~dev-libs/libg15-9999
855 ~app-doc/devmanual-9999
856
857 # Federico Ferri <mescalinum@gentoo.org> (08 Aug 2009)
858 # Doesn't build with Tcl 8.5, has several bugs open
859 =dev-tcltk/tcl-debug-2.0
860
861 # Marijn Schouten <hkBst@gentoo.org> (29 Jul 2009)
862 # Masked for increasingly many problems. Upstream is flaky and hasn't released since 2005.
863 # Maxima is the only consumer and can be built with sbcl or clisp.
864 # Hopefully upstream will do a release that we can add to revive this package.
865 dev-lisp/gcl
866
867 # Jeremy Olexa <darkside@gentoo.org> (28 Jul 2009)
868 # On behalf of Robin H. Johnson <robbat2@gentoo.org>.
869 # These versions are vulnerable to GLSA's and should not be used. They will stay
870 # in the tree because they are useful to tracking down bugs. You have been
871 # warned. bug 271686
872 <dev-db/mysql-5.1.56
873 <virtual/mysql-5.1
874
875 # Nirbheek Chauhan <nirbheek@gentoo.org> (10 Jun 2009)
876 # Several feature regressions that will make our users
877 # go on a witchhunt if unmasked
878 # * No XDMCP connection UI
879 # * No configuration/theming support
880 # * No support for auth backends other than PAM
881 # * Many more...
882 =gnome-base/gdm-2.3*
883
884 # Tiziano Müller <dev-zero@gentoo.org> (08 Apr 2009)
885 # pre-releases
886 net-libs/libinfinity
887 >=app-editors/gobby-0.4.91
888
889 # Paul Varner <fuzzyray@gentoo.org> (06 Apr 2009)
890 # Dead upstream and has issues with newer portages.
891 # Due to popular demand and no suitable replacement, it will stay in the tree
892 # in a masked status until it completely breaks or is replaced.
893 app-portage/udept
894
895 # Diego E. Pettenò <flameeyes@gentoo.org> (03 Jan 2009)
896 # These packages are not supposed to be merged directly, instead
897 # please use sys-devel/crossdev to install them.
898 dev-libs/cygwin
899 dev-util/mingw-runtime
900 dev-util/mingw64-runtime
901 dev-util/w32api
902 sys-libs/newlib
903 dev-embedded/msp430-binutils
904 dev-embedded/msp430-gcc
905 dev-embedded/msp430-gdb
906 dev-embedded/msp430-libc
907 dev-embedded/msp430mcu
908 dev-embedded/avr-libc
909
910 # Peter Volkov <pva@gentoo.org> (16 Nov 2008)
911 # The development branch, to be unmasked when out of beta by upstream.
912 =net-misc/socat-2.0.0*
913
914 # Steve Dibb <beandog@gentoo.org> (05 Nov 2008)
915 # Mask realplayer codecs for security bug 245662
916 media-libs/amd64codecs
917 media-libs/realcodecs
918
919 # Doug Goldstein <cardoe@gentoo.org> (17 Sep 2008)
920 # under development
921 gnome-extra/gnome-lirc-properties
922
923 # Markus Ullmann <jokey@gentoo.org> (07 Jul 2008)
924 # mask for security bug #190667 (CVE-2007-{4584,5839})
925 # and for various other build problems (bug #425634)
926 #
927 # both CVEs are fixed in upstream version control as per:
928 # http://bitchx.svn.sourceforge.net/svnroot/bitchx/trunk/Changelog
929 net-irc/bitchx
930
931 # Vlastimil Babka <caster@gentoo.org> (20 May 2008)
932 # Masked for testing
933 app-arch/rpm5
934
935 # Chris Gianelloni <wolf31o2@gentoo.org> (03 Mar 2008)
936 # Masking due to security bug #194607 and security bug #204067
937 games-fps/doom3
938 games-fps/doom3-cdoom
939 games-fps/doom3-chextrek
940 games-fps/doom3-data
941 games-fps/doom3-demo
942 games-fps/doom3-ducttape
943 games-fps/doom3-eventhorizon
944 games-fps/doom3-hellcampaign
945 games-fps/doom3-inhell
946 games-fps/doom3-lms
947 games-fps/doom3-mitm
948 games-fps/doom3-phantasm
949 games-fps/doom3-roe
950 games-fps/quake4-bin
951 games-fps/quake4-data
952 games-fps/quake4-demo
953
954 # Piotr Jaroszyński <peper@gentoo.org> (26 Nov 2007)
955 # opensync live ebuilds
956 =app-pda/libsyncml-9999
957 =app-pda/libopensync-9999
958 =app-pda/osynctool-9999
959 =app-pda/libopensync-plugin-evolution2-9999
960 =app-pda/libopensync-plugin-file-9999
961 =app-pda/libopensync-plugin-gnokii-9999
962 =app-pda/libopensync-plugin-gpe-9999
963 =app-pda/libopensync-plugin-irmc-9999
964 =app-pda/libopensync-plugin-palm-9999
965 =app-pda/libopensync-plugin-python-9999
966 =app-pda/libopensync-plugin-syncml-9999
967 =app-pda/libopensync-plugin-vformat-9999
968
969 # MATSUU Takuto <matsuu@gentoo.org> (05 Apr 2007)
970 # to be tested, seems unstable
971 >=app-i18n/scim-anthy-1.3.0
972
973 # Tavis Ormandy <taviso@gentoo.org> (21 Mar 2006)
974 # masked pending unresolved security issues #127167
975 games-roguelike/slashem
976
977 # Tavis Ormandy <taviso@gentoo.org> (21 Mar 2006)
978 # masked pending unresolved security issues #125902
979 games-roguelike/nethack
980 games-util/hearse
981
982 # Robin H. Johnson <robbat2@gentoo.org> (11 Feb 2006)
983 # zlib interaction is badly broken. See bug #124733.
984 =dev-vcs/cvs-1.12.13*
985
986 # <klieber@gentoo.org> (01 Apr 2004)
987 # The following packages contain a remotely-exploitable
988 # security vulnerability and have been hard masked accordingly.
989 #
990 # Please see http://bugs.gentoo.org/show_bug.cgi?id=44351 for more info
991 #
992 games-fps/unreal-tournament-goty
993 games-fps/unreal-tournament-strikeforce
994 games-fps/unreal-tournament-bonuspacks
995 games-fps/aaut

  ViewVC Help
Powered by ViewVC 1.1.20